package com.fjhx.victoriatourist.entity.logistics.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 物流明细
 * </p>
 *
 * @author
 * @since 2023-04-12
 */
@Getter
@Setter
@TableName("logistics_details")
public class LogisticsDetails extends BasePo {

    /**
     * 物流信息id
     */
    private Long logisticsInfoId;

    /**
     * 物流信息编码
     */
    private String logisticsInfoCode;

    /**
     * 采购单id
     */
    private Long purchaseId;

    /**
     * 申购单id
     */
    private Long applyPurchaseId;

    /**
     * 发货数量
     */
    private BigDecimal shipmentQuantity;

    /**
     * 已入库数量
     */
    private BigDecimal receiptQuantity;

    /**
     * 备注
     */
    private String remark;

    /**
     * 采购明细id
     */
    private Long purchaseDetailId;

}
