package com.fjhx.victoriatourist.mapper.logistics;

import com.fjhx.purchase.entity.purchase.vo.PurchaseDetailVo;
import com.fjhx.victoriatourist.entity.logistics.po.LogisticsDetails;
import com.fjhx.victoriatourist.entity.logistics.po.LogisticsInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.logistics.vo.LogisticsInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 物流信息 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-12
 */
public interface MyLogisticsInfoMapper extends BaseMapper<LogisticsInfo> {

    /**
     * 物流信息分页
     */
    Page<LogisticsInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<LogisticsInfo> wrapper);

    List<PurchaseDetailVo> getQualityDetailByPurchaseDetailId(@Param("ew") IWrapper<LogisticsDetails> wrapper);

}
